#pragma once
#include "common.h"


#define CELL		3					//Z̃TCY(pixel)
#define BLOCK		2					//ubÑTCY(Z)

#define WIDTH		18					//pb`̏c(pixel)
#define HEIGHT		36					//pb`̉(pixel)

#define ORIENTATION	9					//z

#define PI			3.14
#define LN_E		1.0


int CountHOGFeature();
void CompHistogram( double cell_hist[], IplImage *img );
void CompHOG( vector<double> &hog, double cell_hist[] );
void HOG( vector<double> &hog, IplImage *img );
void CompMagnitudeAndGrad( int x, int y, IplImage *img, double *magnitude, double *grad);
