#pragma once
#include "common.h"

#define MAX_WEAK_CLASSIFIER		500
#define BIN						64		

//㎯ʊ
typedef struct _WeakClassifier{
	double z;					//G[
	double dPdf[BIN][2];		//mx֐
	int iFeatureNum;			//ʂ̔ԍ
}WeakClassifier;

int WriteParameter(double dEpsilon);
int WritetPDF(double dPdf[][2], int iRound);
int WriteWeakClassifier(WeakClassifier *cl);
double Prediction(double dFeature, double dPdf[][2], double dEpsilon);
int	UpdateSampleWeight(vector<Sample> &samples, double dPdf[][2], int iFeatureNum, double dEpsilon);
double EvalPDF(double dPdf[][2]);
int CompPDF(vector<Sample> &samples, double dPdf[][2], int iFeatureNum);
int SelectClassifier(vector<Sample> &samples, WeakClassifier *cl, double dPdf[][2]);
int Initialization(vector<Sample> &samples, int iSampleNum[]);
int Training(vector<Sample> &samples, int iSampleNum[]);

